macOS Apps Curiosity macOS

Cum instalam Numbers, Pages, Keynote pe un Mac vechi (macOS Catalina) – We could not complete your purchase

Daca avem un Mac mai vechi pe care dorim sa instalam aplicatii Apple, acest tutorial va ajuta sa vedem cum instalam Numbers, Pages, Keynote pe un macOS mai vechi de versiunea 11. “We could not complete your purchase. The current version requires macOS 11.0 or later“.

MacBook Pro, MacBook Air si ale tipuri de Mac mai vechi de 2013, nu au mai primit actualizari cu cele mai recente versiuni macOS. Cele mai multe MacBook produse in 2012 sau mai devreme, accepta cel mult macOS Catalina ca sistem de operare. Odata cu aceasta incompatibilitate pentru versiunile mai noi de macOS, apare si problema de incompatibilitate atunci cand incercam sa instalam Numbers, Pages, Keynotes pe macOS Catalina sau pe versiunile mai vechi.

Daca aveti un MacBook Pro din 2012 si ati reinstalat pe el macOS Catalina (este ultimul sistem de operare acceptat pe MacBook Pro Mid-2012), cel mai probabil ati intampinat probleme la instalarea aplicatiilor Apple, precum: Numbers, Pages si Keynote.

We could not complete your purchase
We could not complete your purchase

“We could not complete your purchase” – De ce nu putem descarca si instala Numbers, Pages si Keynote pe un Mac mai vechi

De-a lungul anilor, Apple dezvolta si aduce noi functionalitati si caracteristici sistemului de operare macOS si aplicatiilor dezvoltate pentru acesta. Atat macOS cat si aplicatiile Numbers, Keynote si Pages sunt aplicatii dezvoltate de Apple, acestea nefiind compatibile pe Windows, Linux sau alte sisteme de opereare. Aceste trei aplicatii sunt versiunea suitei Office a Microsoft, iar fisierele lor sunt compatibile cu Excel, Word si PowerPoint.

Apple face oarecum o greseala imensa cu aceasta politica de actualizari. Daca avem un Mac cumparat in urma cu 10 ani, avem practic interzis la a mai utiliza aplicatii Apple care in trecut rulau fara probleme.
In mod corect ar fi fost ca aplicatiile chiar daca intre timp au primit actualizari majore, suportate numai de noile versiuni de macOS, de pe un Mac mai vechi sa ne apara in App Store versiunile compatibile cu acesta. Versiunile mai vechi ale Numbers, Pages si Keynote.

We could not complete your purchase.
Numbers can’t be installed on “macOS” because macOS version 11 or later is required.

Cum instalam Numbers, Pages, Keynote pe un Mac vechi (macOS Catalina, Mojave, Sierra)

Din fericire, in contul de iCloud sunt pastrate aplicatiile instalate de-a lungul timpului pe macOS, iOS si iPadOS. Si sunt pastrate vechile versiuni, cele care au fost descarcate pentru prima data pe contul de iCloud si care sunt compatibile cu vechile versiuni de macOS.

Daca incercati sa instalati o aplicatie din App Store si primiti mesajul ca aceasta nu poate fi instalata deoarece aveti nevoie ca versiunea de macOS sa fie 11 sau mai recenta, urmati pasii urmatori:

1. Luam scenariul in care vrem sa instalam Pages pe MacBook Pro (Mid 2012) cu macOS Catalina 10.15.7).

Pages can't be installed on "macOS" because macOS version 11 or later is required.
Pages can’t be installed on “macOS” because macOS version 11 or later is required.


We could not complete your purchase.
Pages can’t be installed on “macOS” because macOS version 11 or later is required.

Mergem in App Store la user-ul cu care suntem autentificati. Acesta apare in partea stanga – jos a App Store.

App Store User
App Store User

2. In “Account” avem aplicatiile instalate de-a lungul timpului pe toate calculatoarele Mac pe care am avut autentificat user-ul nostru Apple ID / iCloud. Din fericire aici, in App Store sunt pastrate primele versiuni ale aplicatiilor.

Aici este de facut o mentiune. Daca avem Family Sharing, putem selecta alt user din grup si sa instalam aplicatiile cumparate si / sau instalate de el.

Account Purchased App Store Users
Account Purchased App Store Users

3. Rulam in lista de aplicatii “Purchased“, cautam si instalam aplicatia care ne intereseaza. Pages in cazul nostru.

Facem click pe semnul de download din iCloud, apoi click pe “Download” pe butonul din caseta de dialog, pentru a confirma ca suntem de acord sa instalam o versiune mai veche a aplicatiei.

Download App macOS Pages
Download an older version of Pages?

Download an older version of Pages?

The current version requires macOS 11.0 or later, but vou can download the last compatible version.

Desi aplicatia “Pages” a fost descarcata pentru prima data in decembrie 2013, pe macOS se va instala cea mai recenta versiune compatibila cu macOS Catalina. Deci nu o sa primiti o versiune antica a aplicatiei.

In acelasi fel puteti instala si alte aplicatii Apple, precum: iMovie, Keynote sau Numbers, chiar daca versiunile lor recente nu mai sunt compatibile cu versiunea de macOS de pe Mac.

Cum instalam Numbers, Pages, Keynote pe un Mac vechi (macOS Catalina) – We could not complete your purchase

About the author

stealth

Sunt bucuros sa impart experientele din domeniul calculatoarelor, telefoniei mobile si ale sistemelor de operare, sa dezvolt proiecte web si sa aduc cele mai utile tutoriale si sfaturi.
Imi place sa ma "joc" pe iPhone, MacBook Pro, iPad, AirPort Extreme si pe sistemele de operare macOS, iOS, Android si Windows.

Leave a Comment